<?php
function nbb_db_toon_enkelestand_function($atts='') {
	$thuisclub = get_option('nbbdb_verenigingsnummer');
	
	$att_value = shortcode_atts( array(
        'team' => 0,
    ), $atts );
	// $att_value['team']
	
	if($att_value['team'] != intval($att_value['team'])){$att_value['team'] = 0;}
	
	if($att_value['team'] > 0)
		{
		// beschikbare teams ophalen
		$teamdata = get_option('nbbdb_competities');
		if(!$teamdata || $teamdata == '{"teams":]}')
			{$output =  'Geen standen gevonden.';}
		else
			{
			$teams = json_decode($teamdata, true);
			
			$uniqueteams = array();
			foreach($teams["teams"] as $team)
				{
				if(isset($uniqueteams[$team["id"]]))
					{
					$comp1 = get_option('nbbdb_stand_'.$uniqueteams[$team["id"]]["comp_id"]);
					$comp1 = json_decode($comp1, true);
					$datevalue1 = str_replace(array(' ','-',':'),'',$comp1["gewijzigd"]);
				
					$comp2 = get_option('nbbdb_stand_'.$team["comp_id"]);
					$comp2 = json_decode($comp2, true);
					$datevalue2 = str_replace(array(' ','-',':'),'',$comp2["gewijzigd"]);
				
					if($datevalue2 > $datevalue1 && $comp2["soort"] <> 'Beker'){$uniqueteams[$team["id"]]["comp_id"] = $team["comp_id"];}
					}
				else
					{
					$comp = get_option('nbbdb_stand_'.$team["comp_id"]);
					$comp = json_decode($comp, true);
					if($comp["soort"] <> 'Beker')
						{$uniqueteams[$team["id"]] = array("comp_id" => $team["comp_id"],"naam" => $team["naam"]);}
					}
				}
			
			if(isset($uniqueteams[$att_value['team']]))
				{
				$output = '<div class="nbbdb_singeteam" id="stand_'.intval($att_value['team']).'">';
				$output .= '<table>';
				$output .= '<tr><th></th><th>Team</th><th>Gespeeld</th><th>Punten</th><th>Doelsaldo</th></tr>';
				$standdata = get_option('nbbdb_stand_'.$uniqueteams[$att_value['team']]["comp_id"]);
				if(!$standdata)
					{
					$output .= '<tr><td colspan="5" style="text-align:center">Geen stand gevonden</td></tr>';
					}
				else
					{
					$standen = json_decode($standdata, true);
					foreach($standen["stand"] as $stand)
						{
						if ($stand["ID"] == $att_value['team'])
							{$output .= '<tr style="font-weight:bold">';}
						else
							{$output .= '<tr>';}
						$output .= '<td>'.$stand["positie"].'</td><td class="team_'.$stand["ID"].'">'.$stand["afko"].'</td><td>'.$stand["gespeeld"].'</td><td>'.$stand["punten"].'</td><td>'.$stand["saldo"].'</td></tr>';
						}
					}
				$output .= '</table></div>';
				
				}
			else
				{$output = '<p>Geen standen gevonden</p>';}
			}
		}
	else
		{
		$output = '<p>Geen standen gevonden</p>';
		}

	return $output;
}
add_shortcode( "nbb_db_stand", "nbb_db_toon_enkelestand_function" );
?>