<?php
function nbb_db_toon_stand_function() {
	$thuisclub = get_option('nbbdb_verenigingsnummer');
	
	if($_GET["nbb"]=='programma' && isset($_GET["team"]) && is_numeric($_GET["team"]) && isset($_GET["competitie"]) && is_numeric($_GET["competitie"]))
		{
		$jsonData = get_option('nbbdb_wedstrijden_'.intval($_GET["competitie"]));
		if(!$jsonData)
			{
			$output = '<p>Geen standen gevonden</p>';
			}
		else
			{
			$wedstrijden = json_decode($jsonData, true);
			$output = '<div class="nbbdb_uitslagen" id="uitslagen_'.intval($_GET["team"]).'"><table><tr><th>Datum</th><th>Thuis</th><th>Uit</th><th>Uitslag</th></tr>';
		
			foreach($wedstrijden["wedstrijden"] as $wedstrijd)
				{
				if($wedstrijd["thuis_ploeg_id"] == intval($_GET["team"]))
					{$output .= '<tr><td>'.substr($wedstrijd["datum"],8,2).'-'.substr($wedstrijd["datum"],5,2).'-'.substr($wedstrijd["datum"],0,4).'</td><td class="team_'.$wedstrijd["thuis_ploeg_id"].'"><b>'.$wedstrijd["thuis_ploeg"].'</b></td><td class="team_'.$wedstrijd["uit_ploeg_id"].'">'.$wedstrijd["uit_ploeg"].'</td><td>'.$wedstrijd["score_thuis"].' - '.$wedstrijd["score_uit"].'</td></tr>';}
				if($wedstrijd["uit_ploeg_id"] == intval($_GET["team"]))
					{$output .= '<tr><td>'.substr($wedstrijd["datum"],8,2).'-'.substr($wedstrijd["datum"],5,2).'-'.substr($wedstrijd["datum"],0,4).'</td><td class="team_'.$wedstrijd["thuis_ploeg_id"].'">'.$wedstrijd["thuis_ploeg"].'</td><td class="team_'.$wedstrijd["uit_ploeg_id"].'"><b>'.$wedstrijd["uit_ploeg"].'</b></td><td>'.$wedstrijd["score_thuis"].' - '.$wedstrijd["score_uit"].'</td></tr>';}
				}
				$output .= '</table></div>';
			}
		}
	else
		{
		// Geen input, beginnen bij het benoemen van de teams
		$teamdata = get_option('nbbdb_competities');
		if(!$teamdata || $teamdata == '{"teams":]}')
			{$output =  'Geen standen gevonden.';}
		else
			{
			$teams = json_decode($teamdata, true);
		
			$uniqueteams = array();
			foreach($teams["teams"] as $team)
				{
				if(isset($uniqueteams[$team["id"]]))
					{
					$comp1 = get_option('nbbdb_stand_'.$uniqueteams[$team["id"]]["comp_id"]);
					$comp1 = json_decode($comp1, true);
					$datevalue1 = str_replace(array(' ','-',':'),'',$comp1["gewijzigd"]);
				
					$comp2 = get_option('nbbdb_stand_'.$team["comp_id"]);
					$comp2 = json_decode($comp2, true);
					$datevalue2 = str_replace(array(' ','-',':'),'',$comp2["gewijzigd"]);
				
					if($datevalue2 > $datevalue1 && $comp2["soort"] <> 'Beker'){$uniqueteams[$team["id"]]["comp_id"] = $team["comp_id"];}
					}
				else
					{
					$comp = get_option('nbbdb_stand_'.$team["comp_id"]);
					$comp = json_decode($comp, true);
					if($comp["soort"] <> 'Beker')
						{$uniqueteams[$team["id"]] = array("comp_id" => $team["comp_id"],"naam" => $team["naam"]);}
					}
				}
			
			$teams_show = array();
		
			foreach($uniqueteams as $team)
				{
				$teamsorter = explode(' ',$team["naam"]);
				if(strtolower($teamsorter[1]) == 'senioren') {$sortnr = 1000;}
				if(strtolower($teamsorter[1]) == 'u24') {$sortnr = 2000;}
				if(strtolower($teamsorter[1]) == 'u23') {$sortnr = 3000;}
				if(strtolower($teamsorter[1]) == 'u22') {$sortnr = 4000;}
				if(strtolower($teamsorter[1]) == 'u21') {$sortnr = 5000;}
				if(strtolower($teamsorter[1]) == 'u20') {$sortnr = 6000;}
				if(strtolower($teamsorter[1]) == 'u19') {$sortnr = 7000;}
				if(strtolower($teamsorter[1]) == 'u18') {$sortnr = 8000;}
				if(strtolower($teamsorter[1]) == 'u17') {$sortnr = 9000;}
				if(strtolower($teamsorter[1]) == 'u16') {$sortnr = 10000;}
				if(strtolower($teamsorter[1]) == 'u15') {$sortnr = 11000;}
				if(strtolower($teamsorter[1]) == 'u14') {$sortnr = 12000;}
				if(strtolower($teamsorter[1]) == 'u13') {$sortnr = 13000;}
				if(strtolower($teamsorter[1]) == 'u12') {$sortnr = 14000;}
				if(strtolower($teamsorter[1]) == 'u11') {$sortnr = 15000;}
				if(strtolower($teamsorter[1]) == 'u10') {$sortnr = 16000;}
				if(strtolower($teamsorter[1]) == 'u09') {$sortnr = 17000;}
				if(strtolower($teamsorter[1]) == 'u9') {$sortnr = 17000;}
				if(strtolower($teamsorter[1]) == 'u08') {$sortnr = 18000;}
				if(strtolower($teamsorter[1]) == 'u8') {$sortnr = 18000;}
				if(strtolower($teamsorter[0]) == 'mannen') {$sortnr = $sortnr + 100;}
				if(strtolower($teamsorter[0]) == 'vrouwen') {$sortnr = $sortnr + 200;}
				if(strtolower($teamsorter[0]) == 'gemengd') {$sortnr = $sortnr + 300;}
				$sortnr = $sortnr + $teamsorter[2];
				$teams_show[$sortnr] = array('comp' => $team["comp_id"], 'naam' => $team["naam"]);
				}
			ksort($teams_show);
			
			$odd_even = 'odd';
			$output = '';
			
			foreach($teams_show as $team_show)
				{
				if($odd_even == 'odd')
					{$output .= '<div class="nbbdb_standen">';}
				$output .= '<table><tr><td colspan="5"><b>'.$team_show["naam"].'</b></td></tr>';
				$output .= '<tr><th></th><th>Team</th><th>Gespeeld</th><th>Punten</th><th>Doelsaldo</th></tr>';
				
				$standdata = get_option('nbbdb_stand_'.$team_show["comp"]);
				if(!$standdata)
					{
					$output .= '<tr><td colspan="5" style="text-align:center">Geen stand gevonden</td></tr>';
					}
				else
					{
					$standen = json_decode($standdata, true);
					foreach($standen["stand"] as $stand)
						{
						if ($stand["clb_id"] == $thuisclub)
							{$output .= '<tr style="font-weight:bold">';}
						else
							{$output .= '<tr>';}
						$output .= '<td>'.$stand["positie"].'</td><td class="team_'.$stand["ID"].'"><a href="?nbb=programma&competitie='.$team_show["comp"].'&team='.$stand["ID"].'">'.$stand["afko"].'</a></td><td>'.$stand["gespeeld"].'</td><td>'.$stand["punten"].'</td><td>'.$stand["saldo"].'</td></tr>';
						}
					}
				$output .= '</table>';
				if($odd_even == 'even')
					{$output .= '</div>'; $odd_even = 'odd';}
				else
					{$odd_even = 'even';}
				}
			if($odd_even == 'even')
				{$output .= '</div>';}
			}
		}

	return $output;
}

add_shortcode( "nbb_db_toonstand", "nbb_db_toon_stand_function" );
?>