<?php
function nbb_db_toon_uitslagen_function($atts='') {
	$thuisclub = get_option('nbbdb_verenigingsnummer');
	
	$att_value = shortcode_atts( array(
        'dagen' => 7,
		'team' => 0
    ), $atts );
	// $att_value['dagen']
	// $att_value['team']
	
	if($att_value['dagen'] != intval($att_value['dagen'])){$att_value['dagen'] = 7;}
	if($att_value['team'] != intval($att_value['team'])){$att_value['team'] = 0;}

	// beschikbare teams ophalen
	$teamdata = get_option('nbbdb_competities');
	if(!$teamdata || $teamdata == '{"teams":]}')
		{$output =  'Geen standen gevonden.';}
	else
		{
		$current_timestamp = time();
		$start_timestamp = $current_timestamp - (86400 * $att_value['dagen']);
		$startdatum = date('Ymd',$start_timestamp);
		$einddatum = date('Ymd',$current_timestamp);
		
		if($att_value['team'] > 0)
			{
			$teams = json_decode($teamdata, true);
			$uniqueteams = array();
			foreach($teams["teams"] as $team)
				{
				if(isset($uniqueteams[$team["id"]]))
					{
					
					$comp1 = get_option('nbbdb_stand_'.$uniqueteams[$team["id"]]["comp_id"]);
					$comp1 = json_decode($comp1, true);
					$datevalue1 = str_replace(array(' ','-',':'),'',$comp1["gewijzigd"]);
				
					$comp2 = get_option('nbbdb_stand_'.$team["comp_id"]);
					$comp2 = json_decode($comp2, true);
					$datevalue2 = str_replace(array(' ','-',':'),'',$comp2["gewijzigd"]);
				
					if($datevalue2 > $datevalue1 && $comp2["soort"] <> 'Beker'){$uniqueteams[$team["id"]]["comp_id"] = $team["comp_id"];}
					}
				else
					{
					$comp = get_option('nbbdb_stand_'.$team["comp_id"]);
					$comp = json_decode($comp, true);
					if($comp["soort"] <> 'Beker')
						{$uniqueteams[$team["id"]] = array("comp_id" => $team["comp_id"],"naam" => $team["naam"]);}
					}
				}
			if(isset($uniqueteams[$att_value['team']]))
				{
				$jsonData = get_option('nbbdb_wedstrijden_'.intval($uniqueteams[$att_value['team']]["comp_id"]));
				if(!$jsonData)
					{$output = '<p>Geen uitslagen gevonden</p>';}
				else
					{
					$uitslagen = array();
					$wedstrijden = json_decode($jsonData, true);
					foreach($wedstrijden["wedstrijden"] as $wedstrijd)
						{
						$datum = str_replace(':','',str_replace('-','',$wedstrijd["datum"]));
						if($wedstrijd["thuis_ploeg_id"] == intval($att_value['team']) && substr($datum,0,8) >= $startdatum  && substr($datum,0,8) <= $einddatum && ($wedstrijd["score_thuis"] > 0 || $wedstrijd["score_uit"] > 0))
							{$uitslagen[$datum] = '<p class="nbbdb_recente_uitslagen"><b><span class="team_'.$wedstrijd["thuis_ploeg_id"].'">'.$wedstrijd["thuis_ploeg"].'</span></b> - <span class="team_'.$wedstrijd["uit_ploeg_id"].'">'.$wedstrijd["uit_ploeg"].'</span><br /><b>'.$wedstrijd["score_thuis"].'</b> - '.$wedstrijd["score_uit"].'</p>';}
						if($wedstrijd["uit_ploeg_id"] == intval($att_value['team']) && substr($datum,0,8) >= $startdatum  && substr($datum,0,8) <= $einddatum && ($wedstrijd["score_thuis"] > 0 || $wedstrijd["score_uit"] > 0))
							{$uitslagen[$datum] = '<p class="nbbdb_recente_uitslagen"><span class="team_'.$wedstrijd["thuis_ploeg_id"].'">'.$wedstrijd["thuis_ploeg"].'</span> - <b><span class="team_'.$wedstrijd["uit_ploeg_id"].'">'.$wedstrijd["uit_ploeg"].'</span></b><br />'.$wedstrijd["score_thuis"].' - <b>'.$wedstrijd["score_uit"].'</b></p>';}
						}
					krsort($uitslagen);
					if (empty($uitslagen))
						{$output = '<p>Geen uitslagen gevonden</p>';}
					else
						{
						$output = '';
						foreach($uitslagen as $uitslag)
							{$output .= $uitslag;}
						}
					}
				}
			else
				{$output = '<p>Geen uitslagen gevonden</p>';}
			}
		else
			{
			$teams = json_decode($teamdata, true);
			$uniqueteams = array();
			foreach($teams["teams"] as $team)
				{
				if(isset($uniqueteams[$team["id"]]))
					{
					$comp1 = get_option('nbbdb_stand_'.$uniqueteams[$team["id"]]["comp_id"]);
					$comp1 = json_decode($comp1, true);
					$datevalue1 = str_replace(array(' ','-',':'),'',$comp1["gewijzigd"]);
				
					$comp2 = get_option('nbbdb_stand_'.$team["comp_id"]);
					$comp2 = json_decode($comp2, true);
					$datevalue2 = str_replace(array(' ','-',':'),'',$comp2["gewijzigd"]);
				
					if($datevalue2 > $datevalue1 && $comp2["soort"] <> 'Beker'){$uniqueteams[$team["id"]]["comp_id"] = $team["comp_id"];}
					}
				else
					{
					$comp = get_option('nbbdb_stand_'.$team["comp_id"]);
					$comp = json_decode($comp, true);
					if($comp["soort"] <> 'Beker')
						{$uniqueteams[$team["id"]] = array("comp_id" => $team["comp_id"],"naam" => $team["naam"]);}
					}
				}
			$uitslagen = array();
			$volgnummer = 1;
			foreach($uniqueteams as $team)
				{
				$jsonData = get_option('nbbdb_wedstrijden_'.intval($team["comp_id"]));
				if($jsonData)
					{
					$wedstrijden = json_decode($jsonData, true);
					foreach($wedstrijden["wedstrijden"] as $wedstrijd)
						{
						$datum = str_replace(':','',str_replace('-','',$wedstrijd["datum"]));
						if($wedstrijd["thuis_club_id"] == intval($thuisclub) && substr($datum,0,8) >= $startdatum  && substr($datum,0,8) <= $einddatum && ($wedstrijd["score_thuis"] > 0 || $wedstrijd["score_uit"] > 0))
							{
							$uitslagen[$datum.sprintf('%03d', $volgnummer)] = '<p class="nbbdb_recente_uitslagen"><b><span class="team_'.$wedstrijd["thuis_ploeg_id"].'">'.$wedstrijd["thuis_ploeg"].'</span></b> - <span class="team_'.$wedstrijd["uit_ploeg_id"].'">'.$wedstrijd["uit_ploeg"].'</span><br /><b>'.$wedstrijd["score_thuis"].'</b> - '.$wedstrijd["score_uit"].'</p>';
							$volgnummer = $volgnummer + 1;
							}
						if($wedstrijd["uit_club_id"] == intval($thuisclub) && substr($datum,0,8) >= $startdatum  && substr($datum,0,8) <= $einddatum && ($wedstrijd["score_thuis"] > 0 || $wedstrijd["score_uit"] > 0))
							{
							$uitslagen[$datum.sprintf('%03d', $volgnummer)] = '<p class="nbbdb_recente_uitslagen"><span class="team_'.$wedstrijd["thuis_ploeg_id"].'">'.$wedstrijd["thuis_ploeg"].'</span> - <b><span class="team_'.$wedstrijd["uit_ploeg_id"].'">'.$wedstrijd["uit_ploeg"].'</span></b><br />'.$wedstrijd["score_thuis"].' - <b>'.$wedstrijd["score_uit"].'</b></p>';
							$volgnummer = $volgnummer + 1;
							}
						}
					}
				}
			krsort($uitslagen);
			$uitslagen = array_unique($uitslagen);
			if (empty($uitslagen))
				{$output = '<p>Geen uitslagen gevonden</p>';}
			else
				{
				$output = '';
				foreach($uitslagen as $uitslag)
					{$output .= $uitslag;}
				}
			}
		}

	return $output;
}

add_shortcode( "nbb_db_uitslagen", "nbb_db_toon_uitslagen_function" );
?>