<?php
function nbb_db_toon_komendewedstrijden_function($atts='') {
	$thuisclub = get_option('nbbdb_verenigingsnummer');
	
	$att_value = shortcode_atts( array(
        'dagen' => 365,
        'team' => 0
    ), $atts );
	// $att_value['dagen']
	// $att_value['team']
	
	if($att_value['dagen'] != intval($att_value['dagen'])){$att_value['dagen'] = 365;}
	if($att_value['team'] != intval($att_value['team'])){$att_value['team'] = 0;}
	
	// beschikbare teams ophalen
	$teamdata = get_option('nbbdb_competities');
	if(!$teamdata || $teamdata == '{"teams":]}')
		{$output =  '<p>Geen wedstrijden gevonden.</p>';}
	else
		{
		$current_timestamp = time();
		$eind_timestamp = $current_timestamp + (86400 * $att_value['dagen']);
		$startdatum = date('Ymd',$current_timestamp);
		$einddatum = date('Ymd',$eind_timestamp);
			
		if($att_value['team'] > 0)
			{
			$teams = json_decode($teamdata, true);
			$uniqueteams = array();
			foreach($teams["teams"] as $team)
				{
				if(isset($uniqueteams[$team["id"]]))
					{
					$comp1 = get_option('nbbdb_stand_'.$uniqueteams[$team["id"]]["comp_id"]);
					$comp1 = json_decode($comp1, true);
					$datevalue1 = str_replace(array(' ','-',':'),'',$comp1["gewijzigd"]);
				
					$comp2 = get_option('nbbdb_stand_'.$team["comp_id"]);
					$comp2 = json_decode($comp2, true);
					$datevalue2 = str_replace(array(' ','-',':'),'',$comp2["gewijzigd"]);
				
					if($datevalue2 > $datevalue1 && $comp2["soort"] <> 'Beker'){$uniqueteams[$team["id"]]["comp_id"] = $team["comp_id"];}
					}
				else
					{
					$comp = get_option('nbbdb_stand_'.$team["comp_id"]);
					$comp = json_decode($comp, true);
					if($comp["soort"] <> 'Beker')
						{$uniqueteams[$team["id"]] = array("comp_id" => $team["comp_id"],"naam" => $team["naam"]);}
					}
				}
			if(isset($uniqueteams[$att_value['team']]))
				{
				$jsonData = get_option('nbbdb_wedstrijden_'.intval($uniqueteams[$att_value['team']]["comp_id"]));
				if(!$jsonData)
					{$output = '<p>Geen wedstrijden gevonden</p>';}
				else
					{
					$output = '<div class="nbbdb_singeteam" id="komendewedstrijden_'.intval($att_value['team']).'">';
					$wedstrijden = json_decode($jsonData, true);
					$output .= '<table><tr><th>Datum</th><th>Tijd</th><th>Thuis</th><th>Uit</th></tr>';
					
					foreach($wedstrijden["wedstrijden"] as $wedstrijd)
						{
						$datum = str_replace(':','',str_replace('-','',$wedstrijd["datum"]));
						if($wedstrijd["thuis_ploeg_id"] == intval($att_value['team']) && substr($datum,0,8) >= $startdatum  && substr($datum,0,8) <= $einddatum)
							{$output .= '<tr><td>'.substr($wedstrijd["datum"],8,2).'-'.substr($wedstrijd["datum"],5,2).'-'.substr($wedstrijd["datum"],0,4).'</td><td>'.substr($wedstrijd["datum"],11,5).'</td><td class="team_'.$wedstrijd["thuis_ploeg_id"].'"><b>'.$wedstrijd["thuis_ploeg"].'</b></td><td class="team_'.$wedstrijd["uit_ploeg_id"].'">'.$wedstrijd["uit_ploeg"].'</td></tr>';}
						if($wedstrijd["uit_ploeg_id"] == intval($att_value['team']) && substr($datum,0,8) >= $startdatum  && substr($datum,0,8) <= $einddatum)
							{$output .= '<tr><td>'.substr($wedstrijd["datum"],8,2).'-'.substr($wedstrijd["datum"],5,2).'-'.substr($wedstrijd["datum"],0,4).'</td><td>'.substr($wedstrijd["datum"],11,5).'</td><td class="team_'.$wedstrijd["thuis_ploeg_id"].'">'.$wedstrijd["thuis_ploeg"].'</td><td class="team_'.$wedstrijd["uit_ploeg_id"].'"><b>'.$wedstrijd["uit_ploeg"].'</b></td></tr>';}
						}
						$output .= '</table>';
					$output .= '</div>'	;
					}
				}
			else
				{$output = '<p>Geen wedstrijden gevonden</p>';}
			}
		else
			{
			$teams = json_decode($teamdata, true);
			$uniqueteams = array();
			foreach($teams["teams"] as $team)
				{
				if(isset($uniqueteams[$team["id"]]))
					{
					$comp1 = get_option('nbbdb_stand_'.$uniqueteams[$team["id"]]["comp_id"]);
					$comp1 = json_decode($comp1, true);
					$datevalue1 = str_replace(array(' ','-',':'),'',$comp1["gewijzigd"]);
				
					$comp2 = get_option('nbbdb_stand_'.$team["comp_id"]);
					$comp2 = json_decode($comp2, true);
					$datevalue2 = str_replace(array(' ','-',':'),'',$comp2["gewijzigd"]);
				
					if($datevalue2 > $datevalue1){$uniqueteams[$team["id"]]["comp_id"] = $team["comp_id"];}
					}
				else
					{
					$uniqueteams[$team["id"]] = array("comp_id" => $team["comp_id"],"naam" => $team["naam"]);
					}
				}
			$wedstr = array();
			$volgnummer = 1;
			foreach($uniqueteams as $team)
				{
				$jsonData = get_option('nbbdb_wedstrijden_'.intval($team["comp_id"]));
				if($jsonData)
					{
					$wedstrijden = json_decode($jsonData, true);
					foreach($wedstrijden["wedstrijden"] as $wedstrijd)
						{
						$datum = str_replace(':','',str_replace('-','',$wedstrijd["datum"]));
						if($wedstrijd["thuis_club_id"] == intval($thuisclub) && substr($datum,0,8) >= $startdatum  && substr($datum,0,8) <= $einddatum && $wedstrijd["score_thuis"] == 0 && $wedstrijd["score_uit"] == 0)
							{
							$wedstr[$datum.sprintf('%03d', $volgnummer)] = '<tr><td>'.substr($wedstrijd["datum"],8,2).'-'.substr($wedstrijd["datum"],5,2).'-'.substr($wedstrijd["datum"],0,4).'</td><td>'.substr($wedstrijd["datum"],11,5).'</td><td><b>'.$wedstrijd["thuis_ploeg"].'</b></td><td>'.$wedstrijd["uit_ploeg"].'</td></tr>';
							$volgnummer = $volgnummer + 1;
							}
						if($wedstrijd["uit_club_id"] == intval($thuisclub) && substr($datum,0,8) >= $startdatum  && substr($datum,0,8) <= $einddatum && $wedstrijd["score_thuis"] == 0 && $wedstrijd["score_uit"] == 0)
							{
							$wedstr[$datum.sprintf('%03d', $volgnummer)] = '<tr><td>'.substr($wedstrijd["datum"],8,2).'-'.substr($wedstrijd["datum"],5,2).'-'.substr($wedstrijd["datum"],0,4).'</td><td>'.substr($wedstrijd["datum"],11,5).'</td><td>'.$wedstrijd["thuis_ploeg"].'</td><td><b>'.$wedstrijd["uit_ploeg"].'</b></td></tr>';
							$volgnummer = $volgnummer + 1;
							}
						}
					}
				}
			ksort($wedstr);
			$wedstr = array_unique($wedstr);
			if (empty($wedstr))
				{$output = '<p>Geen wedstrijden gevonden</p>';}
			else
				{
				$output = '<div class="nbbdb_singeteam">';
				$output .= '<table><tr><th>Datum</th><th>Tijd</th><th>Thuis</th><th>Uit</th></tr>';
				foreach($wedstr as $komende_wedstr)
					{$output .= $komende_wedstr;}
				$output .= '</table>';
				$output .= '</div>'	;
				}
			}
		}
	return $output;
}

add_shortcode( "nbb_db_komende_wedstrijden", "nbb_db_toon_komendewedstrijden_function" );
?>