<?php
function nbb_db_toon_enkelewedstrijden_function($atts='') {
	$thuisclub = get_option('nbbdb_verenigingsnummer');
	
	$att_value = shortcode_atts( array(
        'team' => 0,
    ), $atts );
	// $att_value['team']
	
	if($att_value['team'] != intval($att_value['team'])){$att_value['team'] = 0;}
	
	if($att_value['team'] > 0)
		{
		// beschikbare teams ophalen
		$teamdata = get_option('nbbdb_competities');
		if(!$teamdata || $teamdata == '{"teams":]}')
			{$output =  'Geen standen gevonden.';}
		else
			{
			$teams = json_decode($teamdata, true);
			
			$uniqueteams = array();
			foreach($teams["teams"] as $team)
				{
				if(isset($uniqueteams[$team["id"]]))
					{
					$comp1 = get_option('nbbdb_stand_'.$uniqueteams[$team["id"]]["comp_id"]);
					$comp1 = json_decode($comp1, true);
					$datevalue1 = str_replace(array(' ','-',':'),'',$comp1["gewijzigd"]);
				
					$comp2 = get_option('nbbdb_stand_'.$team["comp_id"]);
					$comp2 = json_decode($comp2, true);
					$datevalue2 = str_replace(array(' ','-',':'),'',$comp2["gewijzigd"]);
				
					if($datevalue2 > $datevalue1 && $comp2["soort"] <> 'Beker'){$uniqueteams[$team["id"]]["comp_id"] = $team["comp_id"];}
					}
				else
					{
					$comp = get_option('nbbdb_stand_'.$team["comp_id"]);
					$comp = json_decode($comp, true);
					if($comp["soort"] <> 'Beker')
						{$uniqueteams[$team["id"]] = array("comp_id" => $team["comp_id"],"naam" => $team["naam"]);}
					}
				}
			
			if(isset($uniqueteams[$att_value['team']]))
				{
				$output = '<div class="nbbdb_singeteam" id="wedstrijden_'.intval($att_value['team']).'">';
				$jsonData = get_option('nbbdb_wedstrijden_'.intval($uniqueteams[$att_value['team']]["comp_id"]));
				if(!$jsonData)
					{
					$output .= '<p>Geen wedstrijden gevonden</p>';
					}
				else
					{
					$wedstrijden = json_decode($jsonData, true);
					$output .= '<table><tr><th>Datum</th><th>Thuis</th><th>Uit</th><th>Uitslag</th></tr>';
				
					foreach($wedstrijden["wedstrijden"] as $wedstrijd)
						{
						if($wedstrijd["thuis_ploeg_id"] == intval($att_value['team']))
							{$output .= '<tr><td>'.substr($wedstrijd["datum"],8,2).'-'.substr($wedstrijd["datum"],5,2).'-'.substr($wedstrijd["datum"],0,4).'</td><td class="team_'.$wedstrijd["thuis_ploeg_id"].'"><b>'.$wedstrijd["thuis_ploeg"].'</b></td><td class="team_'.$wedstrijd["uit_ploeg_id"].'">'.$wedstrijd["uit_ploeg"].'</td><td>'.$wedstrijd["score_thuis"].' - '.$wedstrijd["score_uit"].'</td></tr>';}
						if($wedstrijd["uit_ploeg_id"] == intval($att_value['team']))
							{$output .= '<tr><td>'.substr($wedstrijd["datum"],8,2).'-'.substr($wedstrijd["datum"],5,2).'-'.substr($wedstrijd["datum"],0,4).'</td><td class="team_'.$wedstrijd["thuis_ploeg_id"].'">'.$wedstrijd["thuis_ploeg"].'</td><td class="team_'.$wedstrijd["uit_ploeg_id"].'"><b>'.$wedstrijd["uit_ploeg"].'</b></td><td>'.$wedstrijd["score_thuis"].' - '.$wedstrijd["score_uit"].'</td></tr>';}
						}
						$output .= '</table>';
					}
				$output .= '</div>'	;
				
				}
			else
				{$output = '<p>Geen wedstrijden gevonden</p>';}
			}
		}
	else
		{
		$output = '<p>Geen wedstrijden gevonden</p>';
		}

	return $output;
}

add_shortcode( "nbb_db_wedstrijden", "nbb_db_toon_enkelewedstrijden_function" );
?>